Subject: Re: [Trans] [trans] #123 (rfc6962-bis): log clients description too informal, incomplete

From: Ben Laurie <[email-masked]>
Date: Mon, 7 Mar 2016 14:01:26 +0000

On 29 February 2016 at 19:36, Stephen Kent <[email-masked]> wrote:
> Ben,
>
>> #123: log clients description too informal, incomplete
>>
>> Changes (by [email-masked]):
>>
>>   * milestone:   => review
>>
>>
>> Comment:
>>
>>   The point is that CT provides data you might choose to act on. This
>>   section describes some ways in which you can reliably get hold of the
>> data
>>   you might choose to act on. It is intended to be informative and without
>>   it would make it substantially difficult for implementers to implement
>> CT.
>>
>>   Suggest resolve wontfix.
>>
> My point is that a squishy discussion of what a log client might do isn't
> appropriate for a standard. If one cannot be precise in describing how each
> element of a system is supposed to work, then readers have no confidence
> that
> there is a consistent, comprehensive system design. Different readers can
> come away with different notions of how the system works, which leads to
> confusion.

We do describe in considerable detail how each type of client works in
that section - but we cannot document every possible use of the APIs
the I-D defines. Hence we point out that there are other things you
might choose to do, as a user of the API. If you'd prefer a different
way to make that point, happy to consider it.

---

From: Stephen Kent <[email-masked]>
Date: Thu, 10 Mar 2016 17:58:39 -0500

Ben,

> ...

I don't think it is necessary to define how every client might use these
APIs. I think that a good spec for each CT element would describe what
functions the client MUST/SHOULD perform, and how to use the APIs to
achieve those functions. Examples are good, but they are never a substitute
for well-written specs.

Steve